WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Socialite

Publishes your WordPress posts to Twitter, Facebook and MySpace.

Do I have to use all three Social Networking sites at once?

No. You can turn Twitter, Facebook, and MySpace on or off as you wish.

Does the plugin publish the entire post, or an excerpt?

Twitter only allows a one line story of 140 characters to be posted. This can be configured by you.

Facebook will allow you to post the title, the link, and any additional text you wish to add. This is configurable by you.

MySpace allows you to post anything you want, the full story, the excerpt, both, or neither!

Does the Facebook module allow me to post to my profile page or fan page?

As of Socialite 0.2.4 Socialite now allows you to post to Facebook fan page, or your personal Facebook page. This can be set up after entering your login information for Facebook in the Socialite configuration screen. Please note that in order to post to a page other than your personal profile page, you must be an admin of the page. Also note that when you are following the steps to activate your Facebook login for Socialite, the Facebook authentication steps will ask you which pages you wish to enable Socialite on. It is important you enable Socialite on the page(s) you intend to publish to, otherwise it will appear as though Socialite is not working. You can always click the 'Reset Facebook Login' button in the Socialite configuration screen to start the Facebook authentication process over if you made a mistake.

Can I configure the way the published post looks on each site?

Yes. Socialite has templates you set up in the Configuration screen that allows you to set up how your post will look on each social networking site.

What version of PHP will this plugin work with?

PHP 5.0.0 and later is supported. PHP 4 will not work. If you are getting parse errors when you attempt to use this plugin, it is because you are not using PHP5.

Are there any special PHP modules I need installed?

The MySpace module requires you to have cURL installed for PHP. Please read http://www.php.net/manual/en/curl.setup.php for more information.

The Twitter and Facebook modules do not require any additional PHP modules.

Requires: 2.2 or higher
Compatible up to: 2.9.2
Last Updated: 2009-12-22
Downloads: 26,313

Ratings

2 stars
2.6 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,2,2 100,1,1 100,1,1 100,1,1 100,2,2 100,1,1 75,4,3
100,1,1
20,5,1
0,2,0
13,8,1
0,13,0
0,1,0
0,1,0
0,1,0
0,1,0
0,1,0
0,1,0
0,1,0